var d, m, y, hh, mm: integer;
begin
readln(d);
readln(m);
readln(y);
readln(hh);
readln(mm);
if (d mod 2 = 0) and ((hh mod 2 <> 0) or (mm <> 0)) then
    writeln('Casper');
if d mod 2 <> 0 then
    writeln('Slimer');
writeln('Beetlejuice');
if (pos('7', inttostr(d)) <> -1) or (pos('7', inttostr(y)) <> -1) or (pos('7', inttostr(hh)) <> -1) or (pos('6', inttostr(hh)) <> -1) and (mm <> 0) then
    writeln('Ow');
if (d mod 3 = 0) and ((hh mod 3 = 0) or (mm <> 0) and (hh mod 3 = 2)) then
    writeln('Peeves');
if (m = 12) and (d >= 24) or (m = 1) and (d <= 7) then
    writeln('Christmas');
end.